Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	NUT is a container format under construction by MPlayer and FFmpeg developers.
Name:		libnut
Version:	0.0.1
Release:	1
License:	MIT/X
URL:		http://www.nut-container.org/
Group:		System/Libraries
Source0:	%{name}-svn-505.tar.gz
Patch0:		libnut-ccux.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
NUT is a free multimedia container format for storage of audio, video,
subtitles and related user defined streams, it provides exact timestamps for
synchronization and seeking, is simple, has low overhead and can recover
in case of errors in the stream.

Other common multimedia container formats are AVI, Ogg, Matroska, MP4, MOV
ASF, MPEG-PS, MPEG-TS.


Features / goals:
    (supported by the format, not necessarily by a specific implementation)

Simplicity
    Use the same encoding for nearly all fields.
    Simple decoding, so slow CPUs (and embedded systems) can handle it.

Extensibility
    No limit for the possible values of all fields (using universal vlc).
    Allow adding of new headers in the future.
    Allow adding more fields at the end of headers.

Compactness
    ~0.2% overhead for normal bitrates.
    The index is <100kb per hour.
    A typical file header is about 100 bytes (audio + video headers together).
    A packet header is about ~1-5 bytes.

Error resistance
    Seeking / playback is possible without an index.
    Headers & index can be repeated.
    Damaged files can be played back with minimal data loss and fast
    resynchronization times.

The specification is frozen. All files following the specification will be
compatible unless the specification is unfrozen.

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}
%patch0

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%_prefix
mkdir -p %{buildroot}%_bindir
install -m 755 nututils/avireader %{buildroot}%_bindir/avireader
install -m 755 nututils/nutindex %{buildroot}%_bindir/nutindex
install -m 755 nututils/nutmerge %{buildroot}%_bindir/nutmerge
install -m 755 nututils/nutparse %{buildroot}%_bindir/nutparse

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr (-, root, root)
%_bindir/avireader
%_bindir/nutindex
%_bindir/nutmerge
%_bindir/nutparse

%files devel
%defattr (-, root, root)
%_libdir/libnut.a
%_includedir/libnut.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.0.1-1
- Initial Release (SVN 505)
